class LiveStreamPlugin {
    constructor() {
        console.log("LiveStreamPlugin constructor");
    }
    initSDK(token: String) {
        /**
         * 初始化SDK。token：用国土调查云ak/sk生成的token，
         * 分中心进行校验通过才能使用直播插件
         */
        console.log("LiveStreamPlugin initSDK", token);
    }
    setLiveStreamControl(divContainor: HTMLElement, deviceType: number) {
        /**
         * 设置视频直播画面控件，用于展示视频直播。
         * divContainor：div元素 
         * deviceType： 0无人机 1 机场监控
         */
        console.log("LiveStreamPlugin setLiveStreamControl", divContainor, deviceType);
    }
    startLiveStreamCall(serialNum: String, deviceType: number) {
        /**
         * 开始视频直播
         * serialNum：无人机机场序列号
         * deviceType： 0无人机 1 机场监控
         */
        console.log("LiveStreamPlugin startLiveStreamCall", serialNum, deviceType);
    }
    endLiveStreamCall(deviceType: number) {
        /**
         * 结束视频直播
         * deviceType： 0无人机 1 机场监控
         */
        console.log("LiveStreamPlugin endLiveStreamCall", deviceType);
    }
    takePicture(callback) {
        /**
         * 拍照
         * callback：拍照完成回调方法，
         * 参数如下： issuccess：状态
         *           true/false；
         *           imgBlob：照片文件Blob；
         *           zpkzxx：照片扩展信息
         */
        console.log("LiveStreamPlugin takePicture", callback);
    }
    startVideoRecording() {
        /**
         * 开始录像
         */
        console.log("LiveStreamPlugin startVideoRecording");
    }
    endVideoRecording(callback: Function) {
        /**
         * 结束录像
         * callback：录像完成回调方法，
         * 参数如下： issuccess：状态
         *           true/false；
         */
        console.log("LiveStreamPlugin endVideoRecording", callback);
    }
    disposeSDK() {
        /**
         * 销毁SDK
         */
        console.log("LiveStreamPlugin disposeSDK");
    }
    getFlightTaskInfo(serialNum: String) {
        /**
         * 获取无人机任务信息
         * 参数：serialNum无人机机场序列号 
         * 返回结果：FlightTaskInfo
         */
        console.log("LiveStreamPlugin getFlightTaskInfo", serialNum);
    }
}


export default LiveStreamPlugin;